summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorIlya Zlobintsev2020-07-07 22:24:08 +0300
committerIlya Zlobintsev2020-07-07 22:24:08 +0300
commit174b186021638636e7867acf9665e34e4d6d9890 (patch)
treed7b414857713d3d0fac4311ba68ff12ad0337e81
parent0e123a18b61276adf105d5db35b158c45a6c7888 (diff)
downloadaur-174b186021638636e7867acf9665e34e4d6d9890.tar.gz
Revisioned by FabioLolix
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD24
2 files changed, 25 insertions, 13 deletions
diff --git a/.SRCINFO b/.SRCINFO
index f7f43b0a30d..44cce99fbe2 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,12 +1,18 @@
pkgbase = borealis-git
pkgdesc = Asus Aura Sync driver application for Linux
- pkgver = r.
+ pkgver = r13.783c889
pkgrel = 1
url = https://github.com/Philpax/borealis
- arch = any
+ arch = x86_64
+ arch = i686
+ arch = arm
+ arch = armv6h
+ arch = armv7h
+ arch = aarch64
makedepends = rust
- source = git://github.com/Philpax/borealis.git
- md5sums = SKIP
+ makedepends = git
+ source = git+https://github.com/Philpax/borealis.git
+ sha256sums = SKIP
pkgname = borealis-git
diff --git a/PKGBUILD b/PKGBUILD
index f082123b9d5..778a9a2945d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,19 +1,24 @@
# Maintiner: Ilya Zlobintsev <ilya.zlve@gmail.com>
+# Contributor: Fabio 'Lolix' Loli <fabio.loli@disroot.org>
+
pkgname=borealis-git
-pkgver=r.
+pkgver=r13.783c889
pkgrel=1
pkgdesc="Asus Aura Sync driver application for Linux"
url="https://github.com/Philpax/borealis"
-arch=('any')
-licence=('MIT')
+arch=(x86_64 i686 arm armv6h armv7h aarch64)
+licence=(MIT)
depends=()
-makedepends=('rust')
-source=('git://github.com/Philpax/borealis.git')
-md5sums=('SKIP')
+makedepends=(rust git)
+source=("git+https://github.com/Philpax/borealis.git")
+sha256sums=('SKIP')
pkgver() {
- cd "$_pkgname"
- printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ cd borealis
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
build() {
@@ -23,5 +28,6 @@ build() {
package() {
cd borealis
- install -Dm755 target/release/borealis "$pkgdir/usr/bin/borealis"
+ install -Dm755 target/release/borealis "${pkgdir}/usr/bin/borealis"
+ install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
}